PGARunMutationOrCrossover(8)

NAME
PGARunMutationOrCrossover - Performs crossover or mutation (but not both) from one populationto create the next.

DESCRIPTION
Assumes PGASelect has been called.

INPUT PARAMETERS
ctx - context variable
oldpop
    - symbolic constant of old population
newpop
    - symbolic constant of new population

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGARunMutationOrCrossover(ctx, oldpop, newpop)
PGAContext *ctx
int oldpop
int newpop

LOCATION
pga.c

EXAMPLE
PGAContext *ctx,
:
PGARunMutationOrCrossover(ctx, PGA_OLDPOP, PGA_NEWPOP);